summaryrefslogtreecommitdiff
path: root/debian/patches/20_authplaincrash.dpatch
diff options
context:
space:
mode:
Diffstat (limited to 'debian/patches/20_authplaincrash.dpatch')
-rwxr-xr-xdebian/patches/20_authplaincrash.dpatch34
1 files changed, 34 insertions, 0 deletions
diff --git a/debian/patches/20_authplaincrash.dpatch b/debian/patches/20_authplaincrash.dpatch
new file mode 100755
index 0000000..932d97e
--- /dev/null
+++ b/debian/patches/20_authplaincrash.dpatch
@@ -0,0 +1,34 @@
+#! /bin/sh -e
+## 20_authplaincrash.dpatch by Philip Hazel <ph10@cus.cam.ac.uk>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: exim crashes on special AUTH PLAIN dialog.
+## DP: http://www.exim.org/pipermail/exim-users/Week-of-Mon-20030317/051346.html
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch) patch -f --no-backup-if-mismatch -p1 < $0;;
+ -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad 10.exim4.tmp/src/auths/plaintext.c 10.exim4/src/auths/plaintext.c
+--- 10.exim4.tmp/src/auths/plaintext.c Thu Mar 13 13:29:58 2003
++++ 10.exim4/src/auths/plaintext.c Wed Mar 19 18:27:55 2003
+@@ -93,7 +93,7 @@
+ if (Ustrcmp(data, "=") == 0)
+ {
+ expand_nstring[++expand_nmax] = US"";
+- expand_nstring[expand_nmax] = 0;
++ expand_nlength[expand_nmax] = 0;
+ }
+ else
+ {